Bodhi Linux Forums: how to auto start elsa - Bodhi Linux Forums

Jump to content

Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

how to auto start elsa

#1 User is offline   doulème 

  • Member
  • Group: Members
  • Posts: 65
  • Joined: 18-May 11
  • LocationFrance

Posted 25 August 2011 - 06:28 PM

The exemple file that I give in another thread is imcomplete (I don't know how create a real upstart script)
This exemple use SystemVInit it comes from the latest package of elsa 20110823 (don't install this package it is broken)
To auto start elsa:
create a the file elsa in /etc/init.d/
#!/bin/sh
### BEGIN INIT INFO
# Provides:          elsa
# Required-Start:    $local_fs $remote_fs
# Required-Stop:     $local_fs $remote_fs
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Elsa display manager
# Description:       Debian init script for the enlightenment Dispaly Manager
### END INIT INFO

# Author: Daniel Dehennin <daniel.dehennin@baby-gnu.org>

# PATH should only include /usr/* if it runs after the mountnfs.sh script
PATH=/sbin:/usr/sbin:/bin:/usr/bin
DESC=elsa             # Introduce a short description here
NAME=elsa             # Introduce the short server's name here
DAEMON=/usr/sbin/elsa # Introduce the server's location here
DAEMON_ARGS=""             # Arguments to run the daemon with
PIDFILE=/var/run/$NAME.pid
SCRIPTNAME=/etc/init.d/$NAME
DEFAULT_DISPLAY_MANAGER_FILE=/etc/X11/default-display-manager

# Exit if the package is not installed
[ -x $DAEMON ] || exit 0

# Read configuration variable file if it is present
[ -r /etc/default/$NAME ] && . /etc/default/$NAME

# Load the VERBOSE setting and other rcS variables
. /lib/init/vars.sh

# Define LSB log_* functions.
# Depend on lsb-base (>= 3.0-6) to ensure that this file is present.
. /lib/lsb/init-functions

#
# Function that starts the daemon/service
#
do_start()
{
    if [ -e $DEFAULT_DISPLAY_MANAGER_FILE ] &&
	[ "$(cat $DEFAULT_DISPLAY_MANAGER_FILE)" != "$DAEMON" ]; then
	log_warning_msg "Not starting X display manager ($NAME); it is not the default" \
	    "display manager."
	return 1
    fi
    # Return
    #   0 if daemon has been started
    #   1 if daemon was already running
    #   2 if daemon could not be started
    start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test > /dev/null \
        || return 1
    start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- $DAEMON_ARGS \
        || return 2
    # Add code here, if necessary, that waits for the process to be ready
    # to handle requests from services started subsequently which depend
    # on this one.  As a last resort, sleep for some time.
}

#
# Function that stops the daemon/service
#
do_stop()
{
    # Return
    #   0 if daemon has been stopped
    #   1 if daemon was already stopped
    #   2 if daemon could not be stopped
    #   other if a failure occurred
    start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name $NAME
    RETVAL="$?"
    [ "$RETVAL" = 2 ] && return 2
    # Wait for children to finish too if this is a daemon that forks
    # and if the daemon is only ever run from this initscript.
    # If the above conditions are not satisfied then add some other code
    # that waits for the process to drop all resources that could be
    # needed by services started subsequently.  A last resort is to
    # sleep for some time.
    start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --exec $DAEMON
    [ "$?" = 2 ] && return 2
    # Many daemons don't delete their pidfiles when they exit.
    rm -f $PIDFILE
    return "$RETVAL"
}

#
# Function that sends a SIGHUP to the daemon/service
#
do_reload() {
    #
    # If the daemon can reload its configuration without
    # restarting (for example, when it is sent a SIGHUP),
    # then implement that here.
    #
    start-stop-daemon --stop --signal 1 --quiet --pidfile $PIDFILE --name $NAME
    return 0
}

case "$1" in
    start)
	[ "$VERBOSE" != no ] && log_daemon_msg "Starting $DESC " "$NAME"
	do_start
	case "$?" in
            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
	;;
    stop)
        [ "$VERBOSE" != no ] && log_daemon_msg "Stopping $DESC" "$NAME"
        do_stop
        case "$?" in
            0|1) [ "$VERBOSE" != no ] && log_end_msg 0 ;;
            2) [ "$VERBOSE" != no ] && log_end_msg 1 ;;
        esac
        ;;
    status)
	status_of_proc "$DAEMON" "$NAME" && exit 0 || exit $?
	;;
    #reload|force-reload)
    #
    # If do_reload() is not implemented then leave this commented out
    # and leave 'force-reload' as an alias for 'restart'.
    #
    #log_daemon_msg "Reloading $DESC" "$NAME"
    #do_reload
    #log_end_msg $?
    #;;
    restart|force-reload)
    #
    # If the "reload" option is implemented then remove the
    # 'force-reload' alias
    #
        log_daemon_msg "Restarting $DESC" "$NAME"
        do_stop
        case "$?" in
            0|1)
                do_start
                case "$?" in
                    0) log_end_msg 0 ;;
                    1) log_end_msg 1 ;; # Old process is still running
                    *) log_end_msg 1 ;; # Failed to start
                esac
                ;;
            *)
                # Failed to stop
                log_end_msg 1
                ;;
        esac
        ;;
    *)
        #echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
        echo "Usage: $SCRIPTNAME {start|stop|status|restart|force-reload}" >&2
        exit 3
        ;;
esac

:

In a terminal launch this commands
sudo chmod 755 /etc/init.d/elsa
sudo update-rc.d elsa defaults

if the file /etc/X11/default-display-manager exist it must contains
/usr/sbin/elsa

0

#2 User is offline   Jeff 

  • Lead Developer
  • Group: Developer
  • Posts: 8024
  • Joined: 23-November 10
  • LocationBloomington, IL

Posted 25 August 2011 - 06:47 PM

Thanks for this! I'll get that elsa package fixed tonight when I get home from work and I'll be giving this a try :D

~Jeff
0

#3 User is offline   doulème 

  • Member
  • Group: Members
  • Posts: 65
  • Joined: 18-May 11
  • LocationFrance

Posted 26 August 2011 - 05:34 PM

I encounter problem when I tried to copy / paste the text to the file elsa (the text format ins't the same in the copy) so here is the corect file http://dl.free.fr/nhjLNI5bd.
0

#4 User is offline   jarope 

  • Member
  • Group: Members
  • Posts: 422
  • Joined: 01-December 10
  • LocationDaventry, UK

Posted 26 August 2011 - 10:17 PM

hmmm we move a step closer ....




jarope
Posted Image
0

#5 User is offline   daniel76 

  • Member
  • Group: Members
  • Posts: 1
  • Joined: 07-April 12

Posted 07 April 2012 - 05:09 AM

hi,i"m not a /ets/X!!/default-display-manager
0

Share this topic:


Page 1 of 1
  • You cannot start a new topic
  • You cannot reply to this topic

1 User(s) are reading this topic
0 members, 1 guests, 0 anonymous users